package cn.iocoder.yudao.module.system.api.path;

import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 路径规划常规信息上报")
public interface PathApi {

    String PREFIX = ApiConstants.PREFIX + "/path";

    @PostMapping(PREFIX + "/initData")
    @Operation(summary = "路径规划需要初始化信息")
    void pathInitData();

    void ppDistributionTask(String message);
}
